# OSGeo::FDO::IDisposableCollection Class Reference
[OSGeo::FDO]

Inheritance diagram for OSGeo::FDO::IDisposableCollection:

[legend]

List of all members.

## Detailed Description

The IDisposableCollection class represents a collection of IDisposable objects.

()

## Public Member Functions
System::Int32 | Add (OSGeo::FDO::Runtime::Disposable *value)
| Adds a Disposable object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (OSGeo::FDO::Runtime::Disposable *value)
| Determines whether the collection contains a specific Disposable object.
System::Void | CopyTo (OSGeo::FDO::Runtime::Disposable *array[], System::Int32 index)
| Copies the elements of the collection to an array.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property OSGeo::FDO::Runtime::Disposable * | get_Item (System::Int32 index)
| Gets an item in the collection.
__property OSGeo::FDO::Runtime::Disposable * | get_RealTypeItem (System::Int32 index)
| Gets the item in the collection at the specified index.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
| IDisposableCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs an instance of the object based on an unmanaged instance of the object.
| IDisposableCollection ()
| Default collection constructor. Creates an empty collection.
System::Int32 | IndexOf (OSGeo::FDO::Runtime::Disposable *value)
| Determines the index of a specific Disposable object.
System::Void | Insert (System::Int32 index, OSGeo::FDO::Runtime::Disposable *value)
| Inserts a Disposable object into the collection at the specified position.
System::Void | Remove (OSGeo::FDO::Runtime::Disposable *value)
| Removes the first occurrence of a specific Disposable object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th NAMESPACE_OSGEO_RUNTIME::Disposable from this collection.
__property System::Void | set_Item (System::Int32 index, OSGeo::FDO::Runtime::Disposable *value)
| Sets the value of the item at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, OSGeo::FDO::Runtime::Disposable *value)
| Sets the value of the item at the specified index.